%define upstream_name libxml

Name:           pentaho-libxml
Version:        1.1.6
Release:        %mkrel 9
Summary:        Namespace aware SAX-Parser utility library
License:        LGPLv2+
Group:          Development/Java
URL:            http://reporting.pentaho.org/
Source:         http://downloads.sourceforge.net/jfreereport/%{upstream_name}-%{version}.zip
Patch0:         pentaho-libxml-1.1.2-fix-build.patch
BuildRequires:  ant
BuildRequires:  ant-contrib
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  apache-commons-logging
BuildRequires:  libbase
BuildRequires:  libloader

Requires:       java >= 0:1.6.0
Requires:       jpackage-utils
Requires:       libbase >= 1.1.2
Requires:       libloader >= 1.1.2
BuildArch:      noarch

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib commons-logging-api libbase libloader
cd lib
ln -s %{_javadir}/ant ant-contrib

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{upstream_name}-%{version}.jar %{buildroot}%{_javadir}
pushd %{buildroot}%{_javadir}
ln -s %{upstream_name}-%{version}.jar %{upstream_name}.jar
popd

mkdir -p %{buildroot}%{_javadocdir}/%{upstream_name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{upstream_name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{upstream_name}-%{version}.jar
%{_javadir}/%{upstream_name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{upstream_name}


%changelog
* Sat Feb 27 2016 umeabot <umeabot> 1.1.6-9.mga6
+ Revision: 979907
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.1.6-8.mga5
+ Revision: 794961
- Add more BuildRequires
- Add more BuildRequires
- Add various BuildRequires
- BuildRequires javapackages-tools
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-7.mga5
+ Revision: 740196
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-6.mga5
+ Revision: 683403
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-5.mga4
+ Revision: 531314
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 joequant <joequant> 1.1.6-4.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Sun Jan 13 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 362751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-2.mga3
+ Revision: 305464
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198977
- new version 1.1.6
- drop gcj support
- rediff and rename patch to fix-build.patch
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-3.mga1
+ Revision: 74300
- Really build without gcj

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 74281
- Build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 40146
- Adapt for mageia
- imported package pentaho-libxml


* Thu Dec 03 2009 Caolan McNamara <caolanm@redhat.com> 1.1.3
- latest version

* Tue Nov 17 2009 Caolan McNamara <caolanm@redhat.com> 1.1.2
- latest version

* Fri Jul 24 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-2.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Mon Mar 16 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-1.OOo31
- Post release tuned for OpenOffice.org reportdesigner

* Mon Mar 09 2009 Caolan McNamara <caolanm@redhat.com> 1.0.0-0.1.rc
- latest version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.9.11-1
- initial fedora import
